import { Buttons } from "./buttons";
import { Icons } from "./icons";
import { Tooltips } from "./tooltips";
export declare class DefaultConfig implements Config {
    buttons: Buttons;
    icons: Icons;
    tooltips: Tooltips;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    fullscreenHeight: string;
    fullscreenWidth: string;
    enableTooltips: boolean;
    fullscreen: boolean;
    fullscreenMode: 'expand' | 'popout';
    readonly: boolean;
    applyReadonlyStyle: boolean;
    showToolbar: boolean;
    showBorder: boolean;
    imageResizeModule: boolean;
    imageDropModule: boolean;
    syntaxModule: boolean;
}
export interface Config {
    buttons?: Buttons;
    icons?: Icons;
    tooltips?: Tooltips;
    format?: 'object' | 'html' | 'text' | 'json';
    height?: string;
    width?: string;
    fullscreenHeight?: string;
    fullscreenWidth?: string;
    enableTooltips?: boolean;
    fullscreen?: boolean;
    fullscreenMode?: 'expand' | 'popout';
    readonly?: boolean;
    applyReadonlyStyle?: boolean;
    showToolbar?: boolean;
    showBorder?: boolean;
    imageResizeModule?: boolean;
    imageDropModule?: boolean;
    syntaxModule?: boolean;
}
